Skip to content
GitHub

Remove a DNS provider account (its records stay at the provider).

DELETE
/api/v1/dns-providers/{id}
curl --request DELETE \
--url https://example.com/api/v1/dns-providers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0
id
required
string format: uuid

Provider id

Removed

Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}